---
layout: post
title: "SSH Keys"
description: ""
author: sthope
image: 
categories: [ ssh, ssh keys ]
comments: true
---


Generate a long random password with:
```
cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 64 | head -n 1
```

Replace `very_long_secret` with the long generated password and replace `/opt/.certs/service` with the location for your keys and the name (different name for each key "service")
Default generally is `~/.ssh/id_rsa`, you can omit `-f "/opt/.certs/service"` if you don't want to choose it.
```
ssh-keygen -t rsa -b 4096 -f "/opt/.certs/service" -C "Hopeless Automations"
```

